#ifndef TASKSWIDGET_H
#define TASKSWIDGET_H

#include <QWidget>
#include <QTranslator>
#include "instructorsAndTrainees_global.h"
#include "interfacedatabaselms.h"

namespace Ui {
class TasksWidget;
}

class INSTRUCTORSANDTRAINEES_EXPORT  TasksWidget : public QWidget
{
    Q_OBJECT

public:
    explicit TasksWidget(InterfaceDataBaseLMS* dbLMS, QWidget *parent = nullptr);
    ~TasksWidget();

protected:
    // Метод получения событий
    // В нём будет производиться проверка события смены перевода приложения
    void changeEvent(QEvent * event) override;

public Q_SLOTS:
    //слот обработки сигнала о выборе обучаемого
    void slot_traineeSelected(QString login);
    void slot_LanguageChanged(QString language);

private:
    void viewListTasksForTrainee(QString login);

private:
    Ui::TasksWidget *ui;
    QTranslator qtLanguageTranslator;

    InterfaceDataBaseLMS* dbLMS;
};

#endif // TASKSWIDGET_H
